#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "terminal_io.h"
#include "logfile_io.h"

#define LOGFILE "logfile"

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
int main(int argc, char *argv[])
{
	int 	fdin,
		fdout;


	/* Usage: terminal <term> */


	fdin = open(argv[1], O_RDWR);
	if (fdin == -1)
	{
		fprintf(stderr, "Error: opening file '%s'\n", argv[1]);
		exit(-1);
	}

	fdout = fdin;


	init_logfile("logs/terminal.log");

	setterm();
	terminal_io(STDIN_FILENO, STDOUT_FILENO, fdin, fdout, -1);
	return 0;
}
