
#include "gs_token.h"
#include "gs_list.h"
#include "gs_translate.h"
#include "gs_parser.h"

#include "common/common.h"

/* -------------------------------------------------------------------- */
/* This layer of the GS Parser should hide as much of the internal	*/
/* structures as possible.						*/
/* The only types that a user should be aware are:			*/
/* 									*/
/* 	TOKEN								*/
/* 	TOKEN_LIST							*/
/*									*/
/* -------------------------------------------------------------------- */

TOKEN *gs_get_list_element(TOKEN *item, int index);
TOKEN *gs_get_list_length(TOKEN *item);
TOKEN *gs_get_list_first(TOKEN *item);
TOKEN *gs_get_list_next(TOKEN *item, TOKEN_LIST **ptr);


TOKEN *gs_get_dictionary_firs(TOKEN *item);
TOKEN *gs_get_dictionary_next(TOKEN *item, TOKEN_LIST **ptr);




